#!perl

# AUTHOR : Ariel Chai
# VERSION : 1.0 for modo 2.02 (15.1.2007)
# DESCRIPTION : Walkaround for the modo 202 triple bug in symmetry mode.
# USAGE : map your menu items and/or triple hotkey to run the script. (example "@plugins/bugfixTriplesym.pl")

#---------------------------------------------------------------------------#

# Get symmetry axis, deactivate, triple and reactivate
my $symmAxis = lxq("select.symmetryState ?");
lx("select.symmetryState 0");
lx("poly.triple");
lx("select.symmetryState $symmAxis");
